// ignore_for_file: public_member_api_docs, constant_identifier_names, lines_longer_than_80_chars

enum Characteristics {
  LEAD_STATE,
  ALL_CHANNELS,
  TAP_PHYSICAL_BUTTON,
  RESPIRATION_ONE_CHANNEL,
  DEVICE_CONTROL_POINT,
  DEVICE_CONTROL_CONFIRM,
  BATTERY_LEVEL,
  PRODUCT_MANUFACTURER,
  FIRMWARE_VERSION,
  SERIAL_NUMBER,
}

class UUID {
  /// https://healthrian.atlassian.net/wiki/spaces/CC1/pages/1914306565/F+W+Cardio+Click+10i
  static const characteristic = {
    Characteristics.LEAD_STATE: '00002C00-0000-1000-8000-00805F9B34FB',
    Characteristics.ALL_CHANNELS: '00002C08-0000-1000-8000-00805F9B34FB',
    Characteristics.TAP_PHYSICAL_BUTTON: '00002C0F-0000-1000-8000-00805F9B34FB',
    Characteristics.DEVICE_CONTROL_POINT:
        '00002CF0-0000-1000-8000-00805F9B34FB',
    Characteristics.DEVICE_CONTROL_CONFIRM:
        '00002CF1-0000-1000-8000-00805F9B34FB',
    Characteristics.BATTERY_LEVEL: '00002A19-0000-1000-8000-00805F9B34FB',
    Characteristics.PRODUCT_MANUFACTURER:
        '00002A29-0000-1000-8000-00805F9B34FB',
    Characteristics.FIRMWARE_VERSION: '00002A26-0000-1000-8000-00805F9B34FB',
    Characteristics.SERIAL_NUMBER: '00002A25-0000-1000-8000-00805F9B34FB',
  };
}
